openssl reboot needed message using incorrect path to X server

Bug #1832421 reported by Seth Arnold on 2019-06-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openssl (Ubuntu)
Status tracked in Eoan
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
Unassigned

Bug Description

[Impact]

 * On desktop, upgrading libssl1.1 does not show reboot required notification

[Test Case]

 * Boot ubuntu desktop
 * Upgrade libssl1.1
 * Observe reboot notification pop-up from update-notifier is _not_ shown

[Regression Potential]

 * Tweaking postinst only to correct for the Xorg path. Current code is innert, but is well excercised in prior releases.

[Other Info]

 * Original bug report:

Hello, the openssl library postinst file is using pidof /usr/bin/X, but that doesn't appear to be the path to the X11 server any more:

debian/libssl1.1.postinst:

        # Only issue the reboot notification for servers; we proxy this by
        # testing that the X server is not running (LP: #244250)
        if ! pidof /usr/bin/X > /dev/null && [ -x /usr/share/update-notifier/notify-reboot-required ]; then
                /usr/share/update-notifier/notify-reboot-required
        fi

On my 18.04 LTS laptop:

$ ps auxw | grep Xorg
root 2440 0.5 0.4 495932 78996 tty7 Rsl+ May10 264:45 /usr/lib/xorg/Xorg :0 vt7 -nolisten tcp -auth /var/l

Thanks

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: openssl 1.1.1-1ubuntu2.1~18.04.1
ProcVersionSignature: Ubuntu 4.15.0-50.54-generic 4.15.18
Uname: Linux 4.15.0-50-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.9-0ubuntu7.6
Architecture: amd64
Date: Tue Jun 11 18:06:51 2019
InstallationDate: Installed on 2012-10-18 (2427 days ago)
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1)
ProcEnviron:
 TERM=rxvt-unicode-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: openssl
UpgradeStatus: Upgraded to bionic on 2018-05-02 (406 days ago)

Seth Arnold (seth-arnold) wrote :
Changed in openssl (Ubuntu Eoan):
status: New → Fix Committed
description: updated
description: updated

Hello Seth, or anyone else affected,

Accepted openssl into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openssl/1.1.1b-1ubuntu2.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in openssl (Ubuntu Disco):
status: New → Fix Committed
tags: added: verification-needed verification-needed-disco
Changed in openssl (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed-cosmic
Steve Langasek (vorlon) wrote :

Hello Seth, or anyone else affected,

Accepted openssl into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openssl/1.1.1-1ubuntu2.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Steve Langasek (vorlon) wrote :

Hello Seth, or anyone else affected,

Accepted openssl into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openssl/1.1.1-1ubuntu2.1~18.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in openssl (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Seth Arnold (seth-arnold) wrote :
Download full text (3.4 KiB)

I'm not sure how to do SRU verification on this update. I don't know a set of steps to take to see the update notification when running X11. Upgrading and downgrading among several packages did NOT show the update notification:

sarnold@hunt:/tmp$ sudo dpkg -i ~/Downloads/libssl1.1_1.1.1-1ubuntu2.1~18.04.1_amd64.deb
(Reading database ... 293979 files and directories currently installed.)
Preparing to unpack .../libssl1.1_1.1.1-1ubuntu2.1~18.04.1_amd64.deb ...
Unpacking libssl1.1:amd64 (1.1.1-1ubuntu2.1~18.04.1) over (1.1.1-1ubuntu2.1~18.04.1) ...
Setting up libssl1.1:amd64 (1.1.1-1ubuntu2.1~18.04.1) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
sarnold@hunt:/tmp$ sudo apt-get install libssl1.1=1.1.1-1ubuntu2.1~18.04.2
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  linux-headers-4.15.0-48 linux-headers-4.15.0-48-generic linux-image-4.15.0-48-generic
  linux-modules-4.15.0-48-generic linux-modules-extra-4.15.0-48-generic linux-tools-4.15.0-48
  linux-tools-4.15.0-48-generic
Use 'sudo apt autoremove' to remove them.
The following packages will be upgraded:
  libssl1.1
1 upgraded, 0 newly installed, 0 to remove and 73 not upgraded.
Need to get 0 B/1,295 kB of archives.
After this operation, 0 B of additional disk space will be used.
Preconfiguring packages ...
(Reading database ... 293979 files and directories currently installed.)
Preparing to unpack .../libssl1.1_1.1.1-1ubuntu2.1~18.04.2_amd64.deb ...
Unpacking libssl1.1:amd64 (1.1.1-1ubuntu2.1~18.04.2) over (1.1.1-1ubuntu2.1~18.04.1) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libssl1.1:amd64 (1.1.1-1ubuntu2.1~18.04.2) ...
Checking for services that may need to be restarted...done.
Checking for services that may need to be restarted...done.
Checking init scripts...

Restarting services possibly affected by the upgrade:

Services restarted successfully.

Processing triggers for libc-bin (2.27-3ubuntu1) ...
sarnold@hunt:/tmp$ sudo apt-get install libssl1.1=1.1.1-1ubuntu2.1~18.04.3
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  linux-headers-4.15.0-48 linux-headers-4.15.0-48-generic linux-image-4.15.0-48-generic
  linux-modules-4.15.0-48-generic linux-modules-extra-4.15.0-48-generic linux-tools-4.15.0-48
  linux-tools-4.15.0-48-generic
Use 'sudo apt autoremove' to remove them.
The following packages will be upgraded:
  libssl1.1
1 upgraded, 0 newly installed, 0 to remove and 73 not upgraded.
Need to get 0 B/1,295 kB of archives.
After this operation, 4,096 B of additional disk space will be used.
Preconfiguring packages ...
(Reading database ... 293979 files and directories currently installed.)
Preparing to unpack .../libssl1.1_1.1.1-1ubuntu2.1~18.04.3_amd64.deb ...
Unpacking libssl1.1:amd64 (1.1.1-1ubuntu2.1~18.04.3) over (1.1.1-1ubuntu2.1~18.04.2) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libssl1.1:amd64 (1.1.1-1ubuntu2.1~18.04.3) ...
Processing triggers for libc-bin (2.27-3u...

Read more...

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openssl - 1.1.1c-1ubuntu2

---------------
openssl (1.1.1c-1ubuntu2) eoan; urgency=medium

  * Bump major version of OpenSSL in postinst to trigger services restart
    upon upgrade. Many services listed there must be restarted when
    upgrading 1.1.0 to 1.1.1. LP: #1832522
  * Fix path to Xorg for reboot notifications on desktop. LP: #1832421

 -- Dimitri John Ledkov <email address hidden> Thu, 13 Jun 2019 15:29:07 +0100

Changed in openssl (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openssl - 1.1.1-1ubuntu2.1~18.04.3

---------------
openssl (1.1.1-1ubuntu2.1~18.04.3) bionic; urgency=medium

  * Fix path to Xorg for reboot notifications on desktop. LP: #1832421
  * Cherrypick upstream fix to allow succesful init of libssl and
    libcrypto using separate calls with different options. LP: #1832659

 -- Dimitri John Ledkov <email address hidden> Fri, 14 Jun 2019 13:50:28 +0100

Changed in openssl (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for openssl has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

The fix for this bug has been awaiting testing feedback in the -proposed repository for disco for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate
Seth Arnold (seth-arnold) wrote :
Download full text (4.7 KiB)

Seems to work fine on disco:

sarnold@millbarge:~$ sudo apt install libssl1.1 openssl
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  linux-image-5.0.0-20-generic linux-image-5.0.0-21-generic linux-image-5.0.0-23-generic linux-modules-5.0.0-20-generic linux-modules-5.0.0-21-generic linux-modules-5.0.0-23-generic
  linux-modules-extra-5.0.0-20-generic linux-modules-extra-5.0.0-21-generic linux-modules-extra-5.0.0-23-generic
Use 'sudo apt autoremove' to remove them.
The following packages will be upgraded:
  libssl1.1 openssl
2 upgraded, 0 newly installed, 0 to remove and 23 not upgraded.
Need to get 1,928 kB of archives.
After this operation, 15.4 kB of additional disk space will be used.
Get:1 http://wopr/ubuntu disco-proposed/main amd64 libssl1.1 amd64 1.1.1b-1ubuntu2.4 [1,305 kB]
Get:2 http://wopr/ubuntu disco-proposed/main amd64 openssl amd64 1.1.1b-1ubuntu2.4 [624 kB]
Fetched 1,928 kB in 0s (15.5 MB/s)
Preconfiguring packages ...
(Reading database ... 91100 files and directories currently installed.)
Preparing to unpack .../libssl1.1_1.1.1b-1ubuntu2.4_amd64.deb ...
Unpacking libssl1.1:amd64 (1.1.1b-1ubuntu2.4) over (1.1.1b-1ubuntu2.1) ...
Preparing to unpack .../openssl_1.1.1b-1ubuntu2.4_amd64.deb ...
Unpacking openssl (1.1.1b-1ubuntu2.4) over (1.1.1b-1ubuntu2.1) ...
Setting up libssl1.1:amd64 (1.1.1b-1ubuntu2.4) ...
Setting up openssl (1.1.1b-1ubuntu2.4) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for libc-bin (2.29-0ubuntu2) ...
sarnold@millbarge:~$ sudo apt install libssl1.1=1.1.1b-1ubuntu2.1 openssl=1.1.1b-1ubuntu2.1
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  linux-image-5.0.0-20-generic linux-image-5.0.0-21-generic linux-image-5.0.0-23-generic linux-modules-5.0.0-20-generic linux-modules-5.0.0-21-generic linux-modules-5.0.0-23-generic
  linux-modules-extra-5.0.0-20-generic linux-modules-extra-5.0.0-21-generic linux-modules-extra-5.0.0-23-generic
Use 'sudo apt autoremove' to remove them.
The following packages will be DOWNGRADED:
  libssl1.1 openssl
0 upgraded, 0 newly installed, 2 downgraded, 0 to remove and 23 not upgraded.
Need to get 0 B/1,921 kB of archives.
After this operation, 15.4 kB disk space will be freed.
Do you want to continue? [Y/n]
Preconfiguring packages ...
dpkg: warning: downgrading libssl1.1:amd64 from 1.1.1b-1ubuntu2.4 to 1.1.1b-1ubuntu2.1
(Reading database ... 91100 files and directories currently installed.)
Preparing to unpack .../libssl1.1_1.1.1b-1ubuntu2.1_amd64.deb ...
Unpacking libssl1.1:amd64 (1.1.1b-1ubuntu2.1) over (1.1.1b-1ubuntu2.4) ...
dpkg: warning: downgrading openssl from 1.1.1b-1ubuntu2.4 to 1.1.1b-1ubuntu2.1
Preparing to unpack .../openssl_1.1.1b-1ubuntu2.1_amd64.deb ...
Unpacking openssl (1.1.1b-1ubuntu2.1) over (1.1.1b-1ubuntu2.4) ...
Setting up libssl1.1:amd64 (1.1.1b-1ubuntu2.1) ...
Setting up openssl (1.1.1b-1ubuntu2.1) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for libc-bin (2.2...

Read more...

tags: added: verification-done-disco
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openssl - 1.1.1b-1ubuntu2.4

---------------
openssl (1.1.1b-1ubuntu2.4) disco; urgency=medium

  * Import libraries/restart-without-asking as used in postinst, to
    prevent failure to configure the package without debconf database.
    LP: #1832919

 -- Dimitri John Ledkov <email address hidden> Thu, 20 Jun 2019 18:31:25 +0100

Changed in openssl (Ubuntu Disco):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers